
Redmine - Feature #8888

Add a link / button to get back to the Issue/Time tracking screen from the "Log time" screen

2011-07-23 07:34 - Alex Last

Status: Closed Start date: 2011-07-23

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 4.0.0   

Resolution: Fixed   

Description

I opened "log time" screen to record time on the issue and then changed my mind.

how can I get back to the issue screen? there's no link for that.

Related issues:

Related to Redmine - Feature #23555: Add cancel button to create/edit item pa... New

Associated revisions

Revision 17522 - 2018-09-26 09:47 - Jean-Philippe Lang

Add cancel button to new/edit log time page (#8888).

Patch by Marius BALTEANU.

Revision 17523 - 2018-09-26 09:49 - Jean-Philippe Lang

Removes render_ prefix from cancel_button_tag methods (#8888).

History

#1 - 2011-07-23 13:55 - Etienne Massip

- Target version set to Candidate for next minor release

#2 - 2011-07-23 16:06 - Jean-Philippe Lang

Browser back button?

#3 - 2011-07-23 16:10 - Etienne Massip

Yes, works, but unintuitive, could we add a "Cancel" button aside the "Save" button ?

#4 - 2011-07-23 16:13 - Etienne Massip

- Tracker changed from Defect to Feature

#5 - 2011-07-23 16:14 - Etienne Massip

- Subject changed from no link exists to get back to the Issue from "Log time" screen to Add a link / button to get back to the Issue/Time tracking

screen from the "Log time" screen

#6 - 2017-04-09 08:37 - Marius BĂLTEANU

Related to #23555 which contains a patch that implements a Cancel button.

#7 - 2017-05-09 05:49 - Toshi MARUYAMA

- Related to Feature #23555: Add cancel button to create/edit item page (issues, files, news, etc.) added

#8 - 2018-06-19 01:11 - Marius BĂLTEANU

- File 0001-add-cancel-button-to-new-edit-log-time-page.patch added

I think I've found a solution to avoid the problem reported by Jean-Philippe Lang in #23555#note-6. The "Cancel" link added by the attached patch

works as expected from my tests.
https://www.redmine.org/issues/23555
https://www.redmine.org/issues/23555#note-6


#9 - 2018-06-30 09:36 - Go MAEDA

- Target version changed from Candidate for next minor release to 4.1.0

#10 - 2018-09-26 09:17 - Marius BĂLTEANU

- Assignee set to Jean-Philippe Lang

Jean-Philippe Lang, I'm assign you to review my solution from the patch 0001-add-cancel-button-to-new-edit-log-time-page.patch.

#11 - 2018-09-26 09:50 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version changed from 4.1.0 to 4.0.0

- Resolution set to Fixed

Committed, thanks.

Files

0001-add-cancel-button-to-new-edit-log-time-page.patch 2.36 KB 2018-06-18 Marius BĂLTEANU
